[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TANSISTRINGBUILDER

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: syssbh.inc line 4

`type TANSISTRINGBUILDER = class`
`public`
`constructor Create();`
`function Append();`
`function AppendFormat();`
`function AppendLine();`
`procedure Clear;`
`procedure CopyTo();`
`function EnsureCapacity();`
`function Equals();`
`function Insert();`
`function Remove();`
`function Replace();`
`function ToString();`
`property Chars []: ANSICHAR; default; [rw]`
`property Length: Integer; [rw]`
`property Capacity: Integer; [rw]`
`property MaxCapacity: Integer; [r]`
`end;`

## Inheritance

`TANSISTRINGBUILDER`
`TObject`